package com.silverwrist.util.test;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.silverwrist.util.*;

public class FormDataTest extends HttpServlet
{
  public void doGet(HttpServletRequest request, HttpServletResponse response)
    throws IOException, ServletException
  {
    PrintWriter out = response.getWriter();
    out.println("<HTML><HEAD><TITLE>Form Test</TITLE></HEAD><BODY>");
    out.println("<H1>Form Test</H1>");
    out.println("<FORM METHOD=POST ENCTYPE=\"multipart/form-data\" ACTION=\"/venice/testformdata\">");
    out.println("Text field: <INPUT TYPE=TEXT NAME=\"text\" VALUE=\"foo\" SIZE=32 MAXLENGTH=128><P>");
    out.println("File field: <INPUT TYPE=FILE NAME=\"file\" SIZE=32 MAXLENGTH=255><P>");
    out.println("<INPUT TYPE=SUBMIT VALUE=\"sumbit\">");
    out.println("</FORM></BODY></HTML>");

  } // end doGet

  private void old_doPost(HttpServletRequest request, HttpServletResponse response)
    throws IOException, ServletException
  {
    TestMultiHandler tmh = null;
    String errmsg = null;
    int count = -1;

    try
    { // attempt to launch the multi handler
      tmh = new TestMultiHandler(request);
      count = tmh.getCount();

    } // end try
    catch (IOException e)
    { // we got an error from the parser
      errmsg = e.getMessage();

    } // end catch

    PrintWriter out = response.getWriter();
    out.println("<HTML><HEAD><TITLE>Form Test Results</TITLE></HEAD><BODY>");
    out.println("<H1>Form Test Results</H1>");
    if (errmsg==null)
      out.println("Success!<P>");
    else
      out.println("ERROR: " + errmsg + "<P>");
    out.println("Data count was: " + String.valueOf(count) + "<P>");
    out.println("<PRE>");
    tmh.dump(out);
    out.println("</PRE>");
    out.println("<A HREF=\"/venice/testformdata\">Go back.</A>");
    out.println("</BODY></HTML>");

  } // end old_doPost

  public void doPost(HttpServletRequest request, HttpServletResponse response)
    throws IOException, ServletException
  {
    final String save_dir = "/home/erbo";
    String errmsg = null;
    ServletMultipartHandler smh = null;
    boolean file_check = false;
    String text_value = null;
    String file_name = null;
    String file_type = null;

    try
    { // create the multipart handler
      smh = new ServletMultipartHandler(request);
      text_value = smh.getValue("text");
      file_check = smh.isFileParam("file");
      if (file_check)
      { // copy out to file
	file_name = smh.getValue("file");
	file_type = smh.getContentType("file");
	if ((file_name!=null) && (file_name.length()>0))
	{ // build the file name and save it
	  FileOutputStream stm = new FileOutputStream(save_dir + "/" + file_name);
	  InputStream in = smh.getFileContentStream("file");
	  byte[] copybuf = new byte[1024];
	  int ct = in.read(copybuf);
	  while (ct>=0)
	  { // copy loop...
	    if (ct>0)
	      stm.write(copybuf,0,ct);
	    ct = in.read(copybuf);
	    
	  } // end while

	  stm.close();
	  in.close();

	} // end if

      } // end if

    } // end try
    catch (ServletMultipartException e)
    { // load error message
      errmsg = e.getMessage();

    } // end catch

    PrintWriter out = response.getWriter();
    out.println("<HTML><HEAD><TITLE>Form Test Results</TITLE></HEAD><BODY>");
    out.println("<H1>Form Test Results</H1>");
    if (errmsg==null)
    { // print data
      out.println("Text value: " + text_value + "<P>");
      if (file_check)
      { // get file name and type
	out.println("File name: " + file_name + "<P>");
	out.println("File type: " + file_type + "<P>");
	out.println("Saved to directory: " + save_dir + "<P>");

      } // end if
      else
	out.println("Not a file.<P>");

    } // end if
    else
      out.println("ERROR: " + errmsg + "<P>");
    out.println("<A HREF=\"/venice/testformdata\">Go back.</A>");
    out.println("</BODY></HTML>");

  } // end doPost

} // end class FormDataTest
