/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Community System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.security;

public class DefaultLevels implements SecLevels
{
  public static int newUser()
  {
    return GLOBAL_UNVERIFIED;

  } // end newUser

  public static int memberSIG()
  {
    return SIG_MEMBER;

  } // end memberSIG

  public static int PFY()
  {
    return GLOBAL_PFY;

  } // end PFY

  public static int afterEmailVerification()
  {
    return GLOBAL_NORMAL;

  } // end afterEmailVerification

  public static int afterEmailAddressChange()
  {
    return GLOBAL_UNVERIFIED;

  } // end afterEmailAddressChange

  public static int newSIGRead()
  {
    return SIG_MEMBER;

  } // end newSIGRead

  public static int newSIGWrite()
  {
    return SIG_COHOST;

  } // end newSIGWrite

  public static int newSIGCreate()
  {
    return SIG_COHOST;

  } // end newSIGCreate

  public static int newSIGDelete()
  {
    return SIG_HOST;

  } // end newSIGDelete

  public static int newSIGJoin()
  {
    return GLOBAL_NORMAL;

  } // end newSIGJoin

  public static int creatorSIG()
  {
    return SIG_HOST;

  } // end creatorSIG

  public static int hostPrivsConference()
  {
    return CONFERENCE_ANYADMIN;

  } // end hostPrivsConference

  public static int memberConference()
  {
    return CONFERENCE_MEMBER;

  } // end memberConference

  public static int hostConference()
  {
    return CONFERENCE_HOST;

  } // end hostConference

  public static int newConferenceRead(boolean pvt)
  {
    return (pvt ? CONFERENCE_MEMBER : SIG_MEMBER);

  } // end newConferenceRead

  public static int newConferencePost(boolean pvt)
  {
    return (pvt ? CONFERENCE_MEMBER : SIG_MEMBER);

  } // end newConferencePost

  public static int newConferenceCreate(boolean pvt)
  {
    return (pvt ? CONFERENCE_MEMBER : SIG_MEMBER);

  } // end newConferencePost

  public static int newConferenceHide()
  {
    return CONFERENCE_HOST;

  } // end newConferenceHide

  public static int newConferenceNuke()
  {
    return CONFERENCE_HOST;

  } // end newConferenceHide

  public static int newConferenceChange()
  {
    return CONFERENCE_HOST;

  } // end newConferenceHide

  public static int newConferenceDelete()
  {
    return SIG_COHOST;

  } // end newConferenceHide

} // end class DefaultLevels
