/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Community System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.servlets.format;

import java.io.Writer;
import java.io.IOException;
import com.silverwrist.venice.core.UserContext;
import com.silverwrist.venice.core.DataException;

public class TCPanelConferences extends TCStandardPanel
{
  public TCPanelConferences()
  {
    super("Your Favorite Conferences:",null);
    addButton("bn_manage.gif","Manage",null,true,80,24);

  } // end constructor

  public TCPanelConferences(TCPanelConferences other)
  {
    super(other);

  } // end constructor

  public void renderContent(Writer out, RenderData rdat) throws IOException
  {
    /* BEGIN TEMP */
    out.write("<FONT FACE=\"Arial, Helvetica\" SIZE=2><UL>\n");
    out.write("<LI>BOFH (Benevolent Dictators)</LI>\n");
    out.write("<LI>Playground (Electric Minds)</LI>\n");
    out.write("<LI>Commons (Electric Minds)</LI>\n");
    out.write("<LI>Top Ten Lists (Pamela's Lounge)</LI>\n");
    out.write("</UL></FONT>\n");
    /* END TEMP */

  } // end renderHere

  public void configure(UserContext uc, String parameter) throws DataException
  { // TEMP - do nothing
    super.configure(uc,parameter);
    if (!(uc.isLoggedIn()))
      setTitle("Featured Conferences:");

  } // end configure

  public Object clone()
  {
    return new TCPanelConferences(this);

  } // end clone

} // end class TCPanelSIGs
