/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Community System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.servlets.format;

import java.io.Writer;
import java.io.IOException;
import com.silverwrist.venice.core.UserContext;
import com.silverwrist.venice.core.DataException;

public abstract class TopContentPanel implements ContentRender, Cloneable
{
  protected TopContentPanel()
  { // do nothing
  } // end constructor

  protected TopContentPanel(TopContentPanel other)
  { // do nothing
  } // end constructor

  public abstract void renderHere(Writer out, RenderData rdat) throws IOException;

  public abstract void configure(UserContext uc, String parameter) throws DataException;

  public static TopContentPanel create(String partid)
  {
    if (partid.equals("SIGS"))
      return new TCPanelSIGs();
    if (partid.equals("CONF"))
      return new TCPanelConferences();
    return null;

  } // end create

} // end class TopContentPanel

